Subject: Re: bug#35994: Remove leading '*' from defcustom docstring todo considered done

From: Eli Zaretskii <[email-masked]>
Date: Sun, 09 Jun 2019 10:12:47 +0300

> From: Stefan Kangas <[email-masked]>
> Date: Mon, 3 Jun 2019 02:43:59 +0200
> Cc: [email-masked]
> 
> Basil L. Contovounesios <[email-masked]> writes:
> > There is also at least one defface (ibuffer-locked-buffer), and the
> 
> Please find attached an updated patch fixing this - thanks.
> 
> > defvars in lisp/obsolete/cc-compat.el (I just did a quick rgrep '^  "\*').
> 
> This is related to the TODO:
> 
>  ** Convert all defvars with leading '*' in the doc-strings into defcustoms
>   of appropriate :type and :group.
> 
> I have attached a second patch which fixes this TODO item.

Thanks, I pushed this to the master branch.

Please in the future, if you send several patches that change the same
files, be sure to arrange them in the order you made the changes,
because otherwise they might fail to apply.  In this case you sent the
patches in the reverse order; I was lucky to be able to figure out
that they need to be applied in reverse.

(In general, if you change the same files for reasons that are closely
related, like in this case, sending a single patch makes the job of
installing easier.)